Skip to main content
POST
/
v1
/
applications
/
{id}
/
applicants
/
{applicantId}
/
mark_paid
Mark an applicant as paid
curl --request POST \
  --url https://api.yorlet.com/v1/applications/{id}/applicants/{applicantId}/mark_paid \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "application.applicant",
  "application": "<string>",
  "advance_rent": {
    "amount": 123,
    "paid": true,
    "paid_off_platform": true,
    "transaction": "<string>"
  },
  "currency": "gbp",
  "customer": "<string>",
  "deposit": {
    "amount": 123,
    "paid": true,
    "paid_off_platform": true,
    "transaction": "<string>"
  },
  "guarantor": "<string>",
  "guarantor_contract": "<string>",
  "holding_fee": {
    "amount": 123,
    "paid": true,
    "paid_off_platform": true,
    "transaction": "<string>"
  },
  "lead_tenant": true,
  "permitted_occupier": true,
  "requirements": {
    "guarantor": true
  },
  "share_of_rent": 123,
  "status": "<string>",
  "tos_acceptance": {
    "date": 123,
    "ip": "<string>"
  },
  "account": "<string>",
  "deleted": false,
  "pets": [
    {
      "age": 123,
      "name": "<string>",
      "type": "dog"
    }
  ],
  "pre_qualification": {
    "affordability": {
      "company_name": "<string>",
      "gross_annual_salary": 123,
      "role": "<string>"
    },
    "nationality": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

applicantId
string
required

The applicantId identifier.

Response

200 - application/json

Returns the applicant object if the mark paid succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
application.applicant
application
string
required

The identifier of the application the applicant belongs to.

Pattern: ^[a-zA-Z0-9_]+$
advance_rent
object
required

The advance rent details for the applicant.

currency
enum<string>
required

The currency for the applicant.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

customer
required

The customer associated with the applicant.

deposit
object
required

The deposit details for the applicant.

guarantor
string | null
required

The identifier of the guarantor for the applicant.

guarantor_contract
string | null
required

The identifier of the guarantor contract for the applicant.

holding_fee
object
required

The holding fee details for the applicant.

lead_tenant
boolean
required

Whether the applicant is the lead tenant.

permitted_occupier
boolean
required

Whether the applicant is a permitted occupier.

requirements
object
required
share_of_rent
number
required

The share of rent for the applicant.

status
string
required

The status of the applicant.

tos_acceptance
object
required

The terms of service acceptance details for the applicant.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

pets
object[]

The pets of the applicant.

pre_qualification
object

The pre-qualification details for the applicant.